datasets={'abalone','ann_thyroid'};
names={'Abalone OCSVM','Abalone OCSVM-AAD','ANN-Thyroid-1v3 OCSVM','ANN-Thyroid-1v3 OCSVM-AAD'};
B=[60,60,60,100,100,100];
figure(3)
t=0;
for k=1:2
    dataset=datasets{k};
    
    load(['results\ocsvm\',dataset,'.mat'])
    load(['data\',dataset])
    U=std(data);
    data(:,U==0)=[];
    U=std(data);
    data_md=data./U; % multidimensional data
    load(['data\',dataset,'_tsne']) % 2d representation via t-sne
    
    % OCSVM no fb
    t=t+1;
    
    subplot(2,2,t)
    hold on
    
    scatter(data(ground_truth==1,1),data(ground_truth==1,2),30,'MarkerEdgeColor',[.6 .6 .6],'LineWidth',1.5)
    scatter(data(ground_truth==-1,1),data(ground_truth==-1,2),80,'+','MarkerEdgeColor',[.2 .2 .7],'LineWidth',1.5)
    
    sv=w_nofb.sv;
    n_sv=size(sv,1);
    sv_2d=zeros(n_sv,1);
    for j=1:n_sv
        [~, sv_2d(j)]=ismember(sv(j,:),data_md,'rows');
    end
    scatter(data(sv_2d,1),data(sv_2d,2),80,'MarkerEdgeColor',[.7 .2 .2],'LineWidth',1.5)
    box on
    set(gca, 'fontsize', plot_ftsize, 'linewidth', 1.5,'GridLineStyle','--')
    xlabel('$x_1$','FontSize',plot_ftsize,'interpreter','latex')
    ylabel('$x_2$','FontSize',plot_ftsize,'interpreter','latex')
    title([names{t},': ',num2str(n_sv),' SV'],'FontSize',plot_ftsize,'interpreter','latex')
    grid on
    axis equal
    if k==1
        axis([-100,100,-80,100])
    else
        axis([-150,150,-120,120])
    end
    set(gcf,'Renderer','painters')
    
    % OCSVM fb
    t=t+1;
    
    subplot(2,2,t)
    hold on
    
    scatter(data(ground_truth==1,1),data(ground_truth==1,2),30,'MarkerEdgeColor',[.6 .6 .6],'LineWidth',1.5)
    scatter(data(ground_truth==-1,1),data(ground_truth==-1,2),80,'+','MarkerEdgeColor',[.2 .2 .7],'LineWidth',1.5)
    
    sv=w_fb_aad.sv;
    n_sv=size(sv,1);
    sv_2d=zeros(n_sv,1);
    for j=1:n_sv
        [~, sv_2d(j)]=ismember(sv(j,:),data_md,'rows');
    end
    scatter(data(sv_2d,1),data(sv_2d,2),80,'MarkerEdgeColor',[.7 .2 .2],'LineWidth',1.5)
    
    box on
    set(gca, 'fontsize', plot_ftsize, 'linewidth', 1.5,'GridLineStyle','--')
    xlabel('$x_1$','FontSize',plot_ftsize,'interpreter','latex')
    ylabel('$x_2$','FontSize',plot_ftsize,'interpreter','latex')
    title([names{t},': ',num2str(n_sv),' SV'],'FontSize',plot_ftsize,'interpreter','latex')
    grid on
    axis equal
    
    if k==1
        axis([-100,100,-80,100])
    else
        axis([-150,150,-120,120])
    end
    set(gcf,'Renderer','painters')
end