for k=1:size(datasets,2)   
    dataset=datasets{k};
    disp(['Currently processed dataset is ',dataset])
    load(['data/',dataset,'.mat'])
    
    [m,n]=size(data);
    
    % Preprocess data for zero mean and unit variance
    U=std(data);
    data(:,U==0)=[]; % remove constants
    U=std(data);
    data=data./U;
    
    % Error fraction
    nu(1)=0.03; % Max proportion of normal data in test train outside the limit
    nu(2)=0;% Max proportion of FA in test train outside the limit
    nu(3)=0;% Max proportion of anomaly data in test train inside the limit
    
    % RBF Kernel parameters
    sigma_nofb = 1*median(pdist(data));
    gamma_nofb=1/(2*sigma_nofb^2); % Jaakkola
    
    % AAD
    B=100; % maximal queries to expert
    [w_fb_aad,w_nofb, w_mem, n_ano_presented_nofb, n_ano_presented_fb]= aad_ocsvm(data,B,nu,ground_truth);
    
    % Save results
    save(['results\ocsvm\',dataset,'.mat'],'w_nofb','w_fb_aad','w_mem','n_ano_presented_nofb','n_ano_presented_fb')
end
